List Whatsapp phone numbers
GET
/
whatsapp
/
phone_numbers
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const phoneNumberListResponse of client.whatsapp.phoneNumbers.list()) {
console.log(phoneNumberListResponse.phone_number_id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.whatsapp.phone_numbers.list()
page = page.data[0]
print(page.phone_number_id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Whatsapp.PhoneNumbers.List(context.TODO(), telnyx.WhatsappPhoneNumberListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.whatsapp.phonenumbers.PhoneNumberListPage;
import com.telnyx.sdk.models.whatsapp.phonenumbers.PhoneNumberListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PhoneNumberListPage page = client.whatsapp().phoneNumbers().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.whatsapp.phone_numbers.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->whatsapp->phoneNumbers->list(pageNumber: 0, pageSize: 0);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx whatsapp:phone-numbers list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/whatsapp/phone_numbers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "whatsapp_business_phone_number",
"phone_number": "<string>",
"phone_number_id": "<string>",
"waba_id": "<string>",
"user_id": "<string>",
"display_name": "<string>",
"quality_rating": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"calling_enabled": true
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated page parameter (deepObject style). Originally: page[number], page[size]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const phoneNumberListResponse of client.whatsapp.phoneNumbers.list()) {
console.log(phoneNumberListResponse.phone_number_id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.whatsapp.phone_numbers.list()
page = page.data[0]
print(page.phone_number_id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Whatsapp.PhoneNumbers.List(context.TODO(), telnyx.WhatsappPhoneNumberListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.whatsapp.phonenumbers.PhoneNumberListPage;
import com.telnyx.sdk.models.whatsapp.phonenumbers.PhoneNumberListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
PhoneNumberListPage page = client.whatsapp().phoneNumbers().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.whatsapp.phone_numbers.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->whatsapp->phoneNumbers->list(pageNumber: 0, pageSize: 0);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx whatsapp:phone-numbers list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/whatsapp/phone_numbers \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "whatsapp_business_phone_number",
"phone_number": "<string>",
"phone_number_id": "<string>",
"waba_id": "<string>",
"user_id": "<string>",
"display_name": "<string>",
"quality_rating": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"calling_enabled": true
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}